---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  version: 9010020221207131845
  context: 8cf767d6
  arch: s390x
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: ef12377d814e5e482e0e793aff9004bcf125228b
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 5b20c1ae603dc8ab78c42f0239ad58815e840e7f
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 5c24f7f2a41afb76ba7d4dadb4709eb20a12effb
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - nodejs-1:18.12.1-1.module_el9.1.0+16+91bc168f.s390x
    - nodejs-1:18.12.1-1.module_el9.1.0+16+91bc168f.src
    - nodejs-debuginfo-1:18.12.1-1.module_el9.1.0+16+91bc168f.s390x
    - nodejs-debugsource-1:18.12.1-1.module_el9.1.0+16+91bc168f.s390x
    - nodejs-devel-1:18.12.1-1.module_el9.1.0+16+91bc168f.s390x
    - nodejs-docs-1:18.12.1-1.module_el9.1.0+16+91bc168f.noarch
    - nodejs-full-i18n-1:18.12.1-1.module_el9.1.0+16+91bc168f.s390x
    - nodejs-nodemon-0:2.0.20-1.module_el9.1.0+16+91bc168f.noarch
    - nodejs-nodemon-0:2.0.20-1.module_el9.1.0+16+91bc168f.src
    - nodejs-packaging-0:2021.06-4.module_el9.1.0+13+d9a595ea.noarch
    - nodejs-packaging-0:2021.06-4.module_el9.1.0+13+d9a595ea.src
    - nodejs-packaging-bundler-0:2021.06-4.module_el9.1.0+13+d9a595ea.noarch
    - npm-1:8.19.2-1.18.12.1.1.module_el9.1.0+16+91bc168f.s390x
...
---
document: modulemd-defaults
version: 1
data:
  module: maven
  profiles:
    3.8: [common]
...
---
document: modulemd
version: 2
data:
  name: maven
  stream: "3.8"
  version: 9010020221024223826
  context: 700ca2ca
  arch: s390x
  summary: Java project management and project comprehension tool
  description: >-
    Maven is a software project management and comprehension tool. Based on the concept
    of a project object model (POM), Maven can manage a project's build, reporting
    and documentation from a central piece of information.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      javapackages-tools: [202201]
      platform: [el9]
    requires:
      platform: [el9]
  profiles:
    common:
      rpms:
      - maven-openjdk11
  api:
    rpms:
    - maven
    - maven-openjdk11
    - maven-openjdk17
    - maven-openjdk8
  filter:
    rpms:
    - apache-commons-cli-javadoc
    - apache-commons-codec-javadoc
    - apache-commons-io-javadoc
    - apache-commons-lang3-javadoc
    - atinject-javadoc
    - cdi-api-javadoc
    - google-guice-javadoc
    - guava-javadoc
    - guava-testlib
    - guice-assistedinject
    - guice-bom
    - guice-extensions
    - guice-grapher
    - guice-jmx
    - guice-jndi
    - guice-multibindings
    - guice-parent
    - guice-servlet
    - guice-throwingproviders
    - httpcomponents-client-javadoc
    - httpcomponents-core-javadoc
    - jakarta-annotations-javadoc
    - jansi-javadoc
    - jsr-305-javadoc
    - jul-to-slf4j
    - log4j-over-slf4j
    - maven-javadoc
    - maven-resolver-javadoc
    - maven-shared-utils-javadoc
    - maven-wagon-javadoc
    - plexus-cipher-javadoc
    - plexus-classworlds-javadoc
    - plexus-containers
    - plexus-containers-component-metadata
    - plexus-containers-container-default
    - plexus-containers-javadoc
    - plexus-interpolation-javadoc
    - plexus-sec-dispatcher-javadoc
    - plexus-utils-javadoc
    - sisu-javadoc
    - slf4j-javadoc
    - slf4j-jcl
    - slf4j-jdk14
    - slf4j-manual
    - slf4j-migrator
    - slf4j-sources
  buildopts:
    rpms:
      macros: >
        %_without_maven_resolver_extra_modules 1

        %java_arches aarch64 ppc64le s390x x86_64
  components:
    rpms:
      apache-commons-cli:
        rationale: Runtime dependency of maven.
        ref: b2ebe7078d5c87040d102cc6b0a83a946f5b4689
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      apache-commons-codec:
        rationale: Runtime dependency of maven.
        ref: 52e132e2986e1737fc571e36c8b23255c0dd8280
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      apache-commons-io:
        rationale: Runtime dependency of maven.
        ref: 196dd6061c4f2ab06f6b29f1dbcbedf190be9f3f
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      apache-commons-lang3:
        rationale: Runtime dependency of maven.
        ref: c92a3fe2c199e414f6928c2144fedc2834737459
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      atinject:
        rationale: Runtime dependency of maven.
        ref: 6ce345bd565c590fc1ddca574b3c1abf67937a69
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      cdi-api:
        rationale: Runtime dependency of maven.
        ref: 79d66ca2d53c60f1ea408be0ad9c9a0277eaa9de
        buildorder: 20
        arches: [aarch64, ppc64le, s390x, x86_64]
      google-guice:
        rationale: Runtime dependency of maven.
        ref: 67f111b4be09f142b4c170c91c4786deafe12431
        buildorder: 30
        arches: [aarch64, ppc64le, s390x, x86_64]
      guava:
        rationale: Runtime dependency of maven.
        ref: 2cf135a3a952f7697cc8ee42f3db18035509b26c
        buildorder: 20
        arches: [aarch64, ppc64le, s390x, x86_64]
      httpcomponents-client:
        rationale: Runtime dependency of maven.
        ref: 66ce6cb3bb97d9996f8c09ce9439e2a459d75b24
        buildorder: 20
        arches: [aarch64, ppc64le, s390x, x86_64]
      httpcomponents-core:
        rationale: Runtime dependency of maven.
        ref: 0941305e48036b2668585ef888ff09c4f6b342a8
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      jakarta-annotations:
        rationale: Runtime dependency of maven.
        ref: c56925cc025047dc28ae7a9d5de8e8d869eccb09
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      jansi:
        rationale: Runtime dependency of maven.
        ref: 70d5aa998c5c3f4700a4528381393a1b8e504302
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      jsr-305:
        rationale: Runtime dependency of maven.
        ref: 6e9396233af02fdd3633573f47e942b24159d09e
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      maven:
        rationale: Module API.
        ref: cfab2c2b1c7269fe9b3d9502ef2c851ea6b1fe61
        buildorder: 50
        arches: [aarch64, ppc64le, s390x, x86_64]
      maven-resolver:
        rationale: Runtime dependency of maven.
        ref: 7a7076f33511d791b4551a9b2c2bcf4da13db164
        buildorder: 40
        arches: [aarch64, ppc64le, s390x, x86_64]
      maven-shared-utils:
        rationale: Runtime dependency of maven.
        ref: e00c57f926220db64d3611d65afaf3ec2ac2e4ae
        buildorder: 20
        arches: [aarch64, ppc64le, s390x, x86_64]
      maven-wagon:
        rationale: Runtime dependency of maven.
        ref: fe87ebc5741333e3b204a7fb33f256f8f6fc76fb
        buildorder: 30
        arches: [aarch64, ppc64le, s390x, x86_64]
      plexus-cipher:
        rationale: Runtime dependency of maven.
        ref: 3f6aec67aec70fe9eb36a26194134bb58149e495
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      plexus-classworlds:
        rationale: Runtime dependency of maven.
        ref: 2bdee80082628d5e9568106f5498d380b82543c8
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      plexus-containers:
        rationale: Runtime dependency of maven.
        ref: a26d9a42a1552373a16ed713e329bec46aeb2934
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      plexus-interpolation:
        rationale: Runtime dependency of maven.
        ref: 32e2a72028e3a491cb6dcfa153c49b1848b4e078
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      plexus-sec-dispatcher:
        rationale: Runtime dependency of maven.
        ref: 01e2890e9405f4d34903300950f1d18fc299b751
        buildorder: 20
        arches: [aarch64, ppc64le, s390x, x86_64]
      plexus-utils:
        rationale: Runtime dependency of maven.
        ref: 8507e13c9ac7eb757f45fb3a6d0b3a8697ff7a00
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
      sisu:
        rationale: Runtime dependency of maven.
        ref: da53f3ef901650e0d6c2d5c3c1261b85beb1c2e8
        buildorder: 30
        arches: [aarch64, ppc64le, s390x, x86_64]
      slf4j:
        rationale: Runtime dependency of maven.
        ref: 00fc816a92ad0db935b8d026852066c200f0cfbf
        buildorder: 10
        arches: [aarch64, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - apache-commons-cli-0:1.5.0-4.module_el9.1.0+12+1826afe0.noarch
    - apache-commons-cli-0:1.5.0-4.module_el9.1.0+12+1826afe0.src
    - apache-commons-codec-0:1.15-7.module_el9.1.0+12+1826afe0.noarch
    - apache-commons-codec-0:1.15-7.module_el9.1.0+12+1826afe0.src
    - apache-commons-io-1:2.11.0-2.module_el9.1.0+12+1826afe0.noarch
    - apache-commons-io-1:2.11.0-2.module_el9.1.0+12+1826afe0.src
    - apache-commons-lang3-0:3.12.0-7.module_el9.1.0+12+1826afe0.noarch
    - apache-commons-lang3-0:3.12.0-7.module_el9.1.0+12+1826afe0.src
    - atinject-0:1.0.5-4.module_el9.1.0+12+1826afe0.noarch
    - atinject-0:1.0.5-4.module_el9.1.0+12+1826afe0.src
    - cdi-api-0:2.0.2-6.module_el9.1.0+12+1826afe0.noarch
    - cdi-api-0:2.0.2-6.module_el9.1.0+12+1826afe0.src
    - google-guice-0:4.2.3-9.module_el9.1.0+12+1826afe0.noarch
    - google-guice-0:4.2.3-9.module_el9.1.0+12+1826afe0.src
    - guava-0:31.0.1-4.module_el9.1.0+12+1826afe0.noarch
    - guava-0:31.0.1-4.module_el9.1.0+12+1826afe0.src
    - httpcomponents-client-0:4.5.13-5.module_el9.1.0+12+1826afe0.noarch
    - httpcomponents-client-0:4.5.13-5.module_el9.1.0+12+1826afe0.src
    - httpcomponents-core-0:4.4.13-7.module_el9.1.0+12+1826afe0.noarch
    - httpcomponents-core-0:4.4.13-7.module_el9.1.0+12+1826afe0.src
    - jakarta-annotations-0:1.3.5-14.module_el9.1.0+12+1826afe0.noarch
    - jakarta-annotations-0:1.3.5-14.module_el9.1.0+12+1826afe0.src
    - jansi-0:2.4.0-6.module_el9.1.0+12+1826afe0.s390x
    - jansi-0:2.4.0-6.module_el9.1.0+12+1826afe0.src
    - jansi-debuginfo-0:2.4.0-6.module_el9.1.0+12+1826afe0.s390x
    - jansi-debugsource-0:2.4.0-6.module_el9.1.0+12+1826afe0.s390x
    - jcl-over-slf4j-0:1.7.32-4.module_el9.1.0+12+1826afe0.noarch
    - jsr-305-0:3.0.2-6.module_el9.1.0+12+1826afe0.noarch
    - jsr-305-0:3.0.2-6.module_el9.1.0+12+1826afe0.src
    - maven-1:3.8.5-3.module_el9.1.0+12+1826afe0.noarch
    - maven-1:3.8.5-3.module_el9.1.0+12+1826afe0.src
    - maven-lib-1:3.8.5-3.module_el9.1.0+12+1826afe0.noarch
    - maven-openjdk11-1:3.8.5-3.module_el9.1.0+12+1826afe0.noarch
    - maven-openjdk17-1:3.8.5-3.module_el9.1.0+12+1826afe0.noarch
    - maven-openjdk8-1:3.8.5-3.module_el9.1.0+12+1826afe0.noarch
    - maven-resolver-1:1.7.3-5.module_el9.1.0+12+1826afe0.noarch
    - maven-resolver-1:1.7.3-5.module_el9.1.0+12+1826afe0.src
    - maven-shared-utils-0:3.3.4-5.module_el9.1.0+12+1826afe0.noarch
    - maven-shared-utils-0:3.3.4-5.module_el9.1.0+12+1826afe0.src
    - maven-wagon-0:3.5.1-2.module_el9.1.0+12+1826afe0.noarch
    - maven-wagon-0:3.5.1-2.module_el9.1.0+12+1826afe0.src
    - plexus-cipher-0:2.0-2.module_el9.1.0+12+1826afe0.noarch
    - plexus-cipher-0:2.0-2.module_el9.1.0+12+1826afe0.src
    - plexus-classworlds-0:2.6.0-12.module_el9.1.0+12+1826afe0.noarch
    - plexus-classworlds-0:2.6.0-12.module_el9.1.0+12+1826afe0.src
    - plexus-containers-0:2.1.1-2.module_el9.1.0+12+1826afe0.src
    - plexus-containers-component-annotations-0:2.1.1-2.module_el9.1.0+12+1826afe0.noarch
    - plexus-interpolation-0:1.26-12.module_el9.1.0+12+1826afe0.noarch
    - plexus-interpolation-0:1.26-12.module_el9.1.0+12+1826afe0.src
    - plexus-sec-dispatcher-0:2.0-4.module_el9.1.0+12+1826afe0.noarch
    - plexus-sec-dispatcher-0:2.0-4.module_el9.1.0+12+1826afe0.src
    - plexus-utils-0:3.3.0-10.module_el9.1.0+12+1826afe0.noarch
    - plexus-utils-0:3.3.0-10.module_el9.1.0+12+1826afe0.src
    - sisu-1:0.3.5-2.module_el9.1.0+12+1826afe0.noarch
    - sisu-1:0.3.5-2.module_el9.1.0+12+1826afe0.src
    - slf4j-0:1.7.32-4.module_el9.1.0+12+1826afe0.noarch
    - slf4j-0:1.7.32-4.module_el9.1.0+12+1826afe0.src
...
---
document: modulemd-defaults
version: 1
data:
  module: nodejs
  profiles:
    18: [common]
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  version: 9010020221115092002
  context: 8cf767d6
  arch: s390x
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 5a5e407fa1e1f93b8b5b097547af52d9695a6b3d
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 0677fe54dcf9fcbfc022f77d67b9bc7266b76a29
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 5c24f7f2a41afb76ba7d4dadb4709eb20a12effb
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - nodejs-1:18.10.0-3.module_el9.1.0+13+d9a595ea.s390x
    - nodejs-1:18.10.0-3.module_el9.1.0+13+d9a595ea.src
    - nodejs-debuginfo-1:18.10.0-3.module_el9.1.0+13+d9a595ea.s390x
    - nodejs-debugsource-1:18.10.0-3.module_el9.1.0+13+d9a595ea.s390x
    - nodejs-devel-1:18.10.0-3.module_el9.1.0+13+d9a595ea.s390x
    - nodejs-docs-1:18.10.0-3.module_el9.1.0+13+d9a595ea.noarch
    - nodejs-full-i18n-1:18.10.0-3.module_el9.1.0+13+d9a595ea.s390x
    - nodejs-nodemon-0:2.0.15-1.module_el9.1.0+13+d9a595ea.noarch
    - nodejs-nodemon-0:2.0.15-1.module_el9.1.0+13+d9a595ea.src
    - nodejs-packaging-0:2021.06-4.module_el9.1.0+13+d9a595ea.noarch
    - nodejs-packaging-0:2021.06-4.module_el9.1.0+13+d9a595ea.src
    - nodejs-packaging-bundler-0:2021.06-4.module_el9.1.0+13+d9a595ea.noarch
    - npm-1:8.19.2-1.18.10.0.3.module_el9.1.0+13+d9a595ea.s390x
...
---
document: modulemd-defaults
version: 1
data:
  module: php
  profiles:
    8.1: [common]
...
---
document: modulemd
version: 2
data:
  name: php
  stream: "8.1"
  version: 9010020221116022647
  context: 8cf767d6
  arch: s390x
  summary: PHP scripting language
  description: >-
    php 8.1 module
  license:
    module:
    - GPLv2+
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    documentation: http://php.net/
    tracker: https://bugs.php.net/
  profiles:
    common:
      rpms:
      - php-cli
      - php-common
      - php-fpm
      - php-mbstring
      - php-xml
    devel:
      rpms:
      - php-cli
      - php-common
      - php-devel
      - php-fpm
      - php-mbstring
      - php-pecl-zip
      - php-process
      - php-xml
    minimal:
      rpms:
      - php-cli
      - php-common
  api:
    rpms:
    - php-fpm
  components:
    rpms:
      php:
        rationale: Module API.
        ref: 901dab21ad2c3a8c2d1e0b173c40a782d444b9fc
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      php-pecl-apcu:
        rationale: APCu extension
        ref: 80ac412d36a12f4b26fb1b33b4a4909c2b04fe93
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      php-pecl-rrd:
        rationale: RRD extension
        ref: aa8bf2458a11dce059912ddeffa1aba80bf08a4a
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      php-pecl-xdebug3:
        rationale: Xdebug extension
        ref: afcdcf1262a6b19745a0839f67e580e71c7bb7d0
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      php-pecl-zip:
        rationale: ZIP extension
        ref: 213ad20f834c23c39507f5ea425d629ff182ac30
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - apcu-panel-0:5.1.21-1.module_el9.1.0+15+94ba28e4.noarch
    - php-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-0:8.1.8-1.module_el9.1.0+15+94ba28e4.src
    - php-bcmath-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-bcmath-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-cli-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-cli-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-common-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-common-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-dba-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-dba-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-dbg-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-dbg-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-debugsource-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-devel-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-embedded-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-embedded-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-enchant-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-enchant-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-ffi-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-ffi-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-fpm-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-fpm-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-gd-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-gd-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-gmp-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-gmp-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-intl-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-intl-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-ldap-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-ldap-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-mbstring-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-mbstring-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-mysqlnd-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-mysqlnd-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-odbc-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-odbc-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-opcache-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-opcache-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pdo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pdo-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-apcu-0:5.1.21-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-apcu-0:5.1.21-1.module_el9.1.0+15+94ba28e4.src
    - php-pecl-apcu-debuginfo-0:5.1.21-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-apcu-debugsource-0:5.1.21-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-apcu-devel-0:5.1.21-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-rrd-0:2.0.3-4.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-rrd-0:2.0.3-4.module_el9.1.0+15+94ba28e4.src
    - php-pecl-rrd-debuginfo-0:2.0.3-4.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-rrd-debugsource-0:2.0.3-4.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-xdebug3-0:3.1.4-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-xdebug3-0:3.1.4-1.module_el9.1.0+15+94ba28e4.src
    - php-pecl-xdebug3-debuginfo-0:3.1.4-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-xdebug3-debugsource-0:3.1.4-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-zip-0:1.20.1-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-zip-0:1.20.1-1.module_el9.1.0+15+94ba28e4.src
    - php-pecl-zip-debuginfo-0:1.20.1-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pecl-zip-debugsource-0:1.20.1-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pgsql-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-pgsql-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-process-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-process-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-snmp-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-snmp-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-soap-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-soap-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-xml-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
    - php-xml-debuginfo-0:8.1.8-1.module_el9.1.0+15+94ba28e4.s390x
...
---
document: modulemd-defaults
version: 1
data:
  module: ruby
  profiles:
    3.1: [common]
...
---
document: modulemd
version: 2
data:
  name: ruby
  stream: "3.1"
  version: 9010020221019142933
  context: 8cf767d6
  arch: s390x
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: 4f1e5e9f48df872a4595494f58bfc3eb8a9b7a31
        buildorder: 101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: e8b82bc12045089bbdb262c6ef4bb610d187c707
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: c65bdee50421e88eb4042cdffa712ddaac9ff11b
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - ruby-0:3.1.2-141.module_el9.1.0+8+503f6fbd.s390x
    - ruby-0:3.1.2-141.module_el9.1.0+8+503f6fbd.src
    - ruby-bundled-gems-0:3.1.2-141.module_el9.1.0+8+503f6fbd.s390x
    - ruby-bundled-gems-debuginfo-0:3.1.2-141.module_el9.1.0+8+503f6fbd.s390x
    - ruby-debuginfo-0:3.1.2-141.module_el9.1.0+8+503f6fbd.s390x
    - ruby-debugsource-0:3.1.2-141.module_el9.1.0+8+503f6fbd.s390x
    - ruby-default-gems-0:3.1.2-141.module_el9.1.0+8+503f6fbd.noarch
    - ruby-devel-0:3.1.2-141.module_el9.1.0+8+503f6fbd.s390x
    - ruby-doc-0:3.1.2-141.module_el9.1.0+8+503f6fbd.noarch
    - ruby-libs-0:3.1.2-141.module_el9.1.0+8+503f6fbd.s390x
    - ruby-libs-debuginfo-0:3.1.2-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-bigdecimal-0:3.1.1-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-bigdecimal-debuginfo-0:3.1.1-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-bundler-0:2.3.7-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-io-console-0:0.5.11-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-io-console-debuginfo-0:0.5.11-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-irb-0:1.4.1-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-json-0:2.6.1-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-json-debuginfo-0:2.6.1-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-minitest-0:5.15.0-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-mysql2-0:0.5.4-1.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-mysql2-0:0.5.4-1.module_el9.1.0+8+503f6fbd.src
    - rubygem-mysql2-debuginfo-0:0.5.4-1.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-mysql2-debugsource-0:0.5.4-1.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-mysql2-doc-0:0.5.4-1.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-pg-0:1.3.5-1.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-pg-0:1.3.5-1.module_el9.1.0+8+503f6fbd.src
    - rubygem-pg-debuginfo-0:1.3.5-1.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-pg-debugsource-0:1.3.5-1.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-pg-doc-0:1.3.5-1.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-power_assert-0:2.0.1-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-psych-0:4.0.3-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-psych-debuginfo-0:4.0.3-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-rake-0:13.0.6-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-rbs-0:2.1.0-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-rbs-debuginfo-0:2.1.0-141.module_el9.1.0+8+503f6fbd.s390x
    - rubygem-rdoc-0:6.4.0-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-rexml-0:3.2.5-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-rss-0:0.2.9-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-test-unit-0:3.5.3-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygem-typeprof-0:0.21.2-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygems-0:3.3.7-141.module_el9.1.0+8+503f6fbd.noarch
    - rubygems-devel-0:3.3.7-141.module_el9.1.0+8+503f6fbd.noarch
...
